Debian Bug report logs - #577880
samba4: FTBFS: configure: error: Unable to find external LIBLDB

version graph

Package: src:samba4; Maintainer for src:samba4 is Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 15 Apr 2010 08:22:21 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Merged with 562389

Found in version samba4/4.0.0~alpha8+git20090912-1

Fixed in versions 4.0.0~alpha14~bzr13684.dfsg1-1, samba4/4.0.0~alpha8+git20100222.dfsg1-1

Done: Jelmer Vernooij <jelmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#577880; Package src:samba4. (Thu, 15 Apr 2010 08:22:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 15 Apr 2010 08:22:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: samba4: FTBFS: configure: error: Unable to find external LIBLDB
Date: Thu, 15 Apr 2010 10:13:31 +0200
Source: samba4
Version: 4.0.0~alpha8+git20090912-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100415 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> dh_clean
> rm -f /build/user-samba4_4.0.0~alpha8+git20090912-1-amd64-woNpmn/samba4-4.0.0~alpha8+git20090912/debian/tmp
> [ ! -f ./source4/mkconfig.mk ] || [ ! -f ./source4/data.mk ] || /usr/bin/make -C ./source4 clean
> rm -f build-stamp configure-stamp
>  dpkg-source -b samba4-4.0.0~alpha8+git20090912
> dpkg-source: info: using source format `1.0'
> dpkg-source: info: building samba4 using existing samba4_4.0.0~alpha8+git20090912.orig.tar.gz
> dpkg-source: info: building samba4 in samba4_4.0.0~alpha8+git20090912-1.diff.gz
>  debian/rules build
> dpkg-source: info: building samba4 in samba4_4.0.0~alpha8+git20090912-1.dsc
> dh_testdir
> cd ./source4 && CFLAGS="-Wall -O0" LDFLAGS="-Wl,--as-needed" ./configure --enable-fhs \
> 		--prefix=/usr \
> 		--mandir=/usr/share/man \
> 		--sysconfdir=/etc \
> 		--localstatedir=/var \
> 		--with-piddir=/var/run \
> 		--with-pam \
> 		--with-syslog \
> 		--with-readline \
> 		--with-ldap \
> 		--enable-external-libtdb=yes \
> 		--enable-external-libtalloc=yes \
> 		--enable-external-libtevent=yes \
> 		--enable-external-libldb=yes \
> 		#--enable-dso
> configure: WARNING: unrecognized options: --with-pam, --with-syslog, --with-ldap
> SAMBA VERSION: 4.0.0alpha9-GIT-9733816
> BUILD COMMIT REVISION: 97338168e8c7719d6460dc11ae489ecbb218b31d
> BUILD COMMIT DATE: "Sat Sep 12 00:49:51 2009 +0200"
> BUILD COMMIT TIME: 1252709391
> BUILD REVISION: 1252709391
> checking build system type... x86_64-unknown-linux-gnu
> checking host system type... x86_64-unknown-linux-gnu
> checking target system type... x86_64-unknown-linux-gnu
> LIBREPLACE_LOCATION_CHECKS: START
> LIBREPLACE_LOCATION_CHECKS: END
> checking for perl... /usr/bin/perl
> checking for yapp... /usr/bin/yapp
> LIBREPLACE_CC_CHECKS: START
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for version of gcc... 4.4.3
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking minix/config.h usability... no
> checking minix/config.h presence... no
> checking for minix/config.h... no
> checking whether it is safe to define __EXTENSIONS__... yes
> checking whether byte ordering is bigendian... no
> checking for inline... inline
> checking for C99 designated initializers... yes
> checking for a BSD-compatible install... /usr/bin/install -c
> checking for library containing strerror... none required
> checking for special C compiler options needed for large files... no
> checking for _FILE_OFFSET_BITS value needed for large files... no
> checking standards.h usability... no
> checking standards.h presence... no
> checking for standards.h... no
> checking for long long... yes
> checking size of int... 4
> checking size of char... 1
> checking size of short... 2
> checking size of long... 8
> checking size of long long... 8
> checking for uint_t... no
> checking for int8_t... yes
> checking for uint8_t... yes
> checking for int16_t... yes
> checking for uint16_t... yes
> checking for int32_t... yes
> checking for uint32_t... yes
> checking for int64_t... yes
> checking for uint64_t... yes
> checking for size_t... yes
> checking for ssize_t... yes
> checking size of off_t... 8
> checking size of size_t... 8
> checking size of ssize_t... 8
> checking for intptr_t... yes
> checking for uintptr_t... yes
> checking for ptrdiff_t... yes
> checking for immediate structures... yes
> LIBREPLACE_CC_CHECKS: END
> checking for C99 designated initializers... yes
> checking that the C compiler understands negative enum values... yes
> checking for test routines... yes
> checking VISIBILITY_CFLAGS for gcc -fvisibility=hidden... -fvisibility=hidden
> checking whether the C compiler supports the visibility attribute... yes
> checking for gcov... /usr/bin/gcov
> checking for ld... /usr/bin/ld
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> checking whether to try to build shared libraries on linux-gnu... true
> checking LD... gcc
> checking LDFLAGS... -Wl,--as-needed
> checking SYS_LDFLAGS... -Wl,--export-dynamic
> checking for ar... /usr/bin/ar
> checking STLD... /usr/bin/ar
> checking STLD_FLAGS... -rcs
> checking SHLD... gcc
> checking SHLD_FLAGS... -shared -Wl,-Bsymbolic 
> checking MDLD... gcc
> checking MDLD_FLAGS... -shared -Wl,-Bsymbolic -Wl,--allow-shlib-undefined
> checking SHLIBEXT... so
> checking SONAMEFLAG... -Wl,-soname=
> checking PICFLAG... -fPIC
> checking whether building shared libraries actually works... yes
> checking whether building shared modules actually works... yes
> checking if we can link using the selected flags... yes
> checking if binaries will use shared libraries... false
> checking for gmake... no
> checking for make... /usr/bin/make
> checking whether we have GNU make... yes
> found
> checking GNU make version... 3.81
> checking for GNU make >= 3.81... yes
> checking CFLAGS for gcc -M -MT conftest.d -MF conftest.o... -M -MT conftest.d -MF conftest.o
> checking Whether to use automatic dependencies... no
> checking for xsltproc... /usr/bin/xsltproc
> checking for python2.6... /usr/bin/python2.6
> checking for python2.6-config... no
> checking for python2.5-config... /usr/bin/python2.5-config
> checking working python module support... yes
> checking python library directory... ${prefix}/lib/python2.6/site-packages
> LIBREPLACE_BROKEN_CHECKS: START
> checking return type of signal handlers... void
> checking for uid_t in sys/types.h... yes
> checking for mode_t... yes
> checking for off_t... yes
> checking for size_t... (cached) yes
> checking for pid_t... yes
> checking for struct stat.st_rdev... yes
> checking for ino_t... yes
> checking for loff_t... yes
> checking for offset_t... no
> checking for working memcmp... yes
> checking for pipe... yes
> checking for strftime... yes
> checking for srandom... yes
> checking for random... yes
> checking for srand... yes
> checking for rand... yes
> checking for usleep... yes
> checking for setbuffer... yes
> checking for lstat... yes
> checking for getpgrp... yes
> checking for utime... yes
> checking for utimes... yes
> checking stdbool.h usability... yes
> checking stdbool.h presence... yes
> checking for stdbool.h... yes
> checking for stdint.h... (cached) yes
> checking sys/select.h usability... yes
> checking sys/select.h presence... yes
> checking for sys/select.h... yes
> checking setjmp.h usability... yes
> checking setjmp.h presence... yes
> checking for setjmp.h... yes
> checking utime.h usability... yes
> checking utime.h presence... yes
> checking for utime.h... yes
> checking for stdint.h... (cached) yes
> checking for stdbool.h... (cached) yes
> checking for bool... yes
> checking for _Bool... yes
> checking for working mmap... yes
> checking sys/syslog.h usability... yes
> checking sys/syslog.h presence... yes
> checking for sys/syslog.h... yes
> checking syslog.h usability... yes
> checking syslog.h presence... yes
> checking for syslog.h... yes
> checking sys/time.h usability... yes
> checking sys/time.h presence... yes
> checking for sys/time.h... yes
> checking time.h usability... yes
> checking time.h presence... yes
> checking for time.h... yes
> checking stdarg.h usability... yes
> checking stdarg.h presence... yes
> checking for stdarg.h... yes
> checking vararg.h usability... no
> checking vararg.h presence... no
> checking for vararg.h... no
> checking sys/mount.h usability... yes
> checking sys/mount.h presence... yes
> checking for sys/mount.h... yes
> checking mntent.h usability... yes
> checking mntent.h presence... yes
> checking for mntent.h... yes
> checking stropts.h usability... yes
> checking stropts.h presence... yes
> checking for stropts.h... yes
> checking unix.h usability... no
> checking unix.h presence... no
> checking for unix.h... no
> checking for seteuid... yes
> checking for setresuid... yes
> checking for setegid... yes
> checking for setresgid... yes
> checking for chroot... yes
> checking for bzero... yes
> checking for strerror... yes
> checking for vsyslog... yes
> checking for setlinebuf... yes
> checking for mktime... yes
> checking for ftruncate... yes
> checking for chsize... no
> checking for rename... yes
> checking for waitpid... yes
> checking for wait4... yes
> checking for strlcpy... no
> checking for strlcat... no
> checking for initgroups... yes
> checking for memmove... yes
> checking for strdup... yes
> checking for pread... yes
> checking for pwrite... yes
> checking for strndup... yes
> checking for strcasestr... yes
> checking for strtok_r... yes
> checking for mkdtemp... yes
> checking for dup2... yes
> checking for isatty... yes
> checking for chown... yes
> checking for lchown... yes
> checking for link... yes
> checking for readlink... yes
> checking for symlink... yes
> checking for realpath... yes
> checking for setresuid declaration... yes
> checking for setresgid declaration... yes
> checking for errno declaration... yes
> checking for secure mkstemp... yes
> checking stdio.h usability... yes
> checking stdio.h presence... yes
> checking for stdio.h... yes
> checking for strings.h... (cached) yes
> checking whether snprintf is declared... yes
> checking whether vsnprintf is declared... yes
> checking whether asprintf is declared... yes
> checking whether vasprintf is declared... yes
> checking for snprintf... yes
> checking for vsnprintf... yes
> checking for asprintf... yes
> checking for vasprintf... yes
> checking for C99 vsnprintf... yes
> checking for va_copy... yes
> checking for __FUNCTION__ macro... yes
> checking sys/param.h usability... yes
> checking sys/param.h presence... yes
> checking for sys/param.h... yes
> checking limits.h usability... yes
> checking limits.h presence... yes
> checking for limits.h... yes
> checking for comparison_fn_t... yes
> checking for setenv declaration... yes
> checking for setenv... yes
> checking for unsetenv... yes
> checking for environ declaration... yes
> checking for strnlen... yes
> checking for strtoull... yes
> checking for __strtoull... no
> checking for strtouq... yes
> checking for strtoll... yes
> checking for __strtoll... no
> checking for strtoq... yes
> checking for sig_atomic_t type... yes
> checking for O_DIRECT flag to open(2)... no
> checking that the C compiler understands volatile... yes
> checking for dirent.h that defines DIR... yes
> checking for library containing opendir... none required
> checking fcntl.h usability... yes
> checking fcntl.h presence... yes
> checking for fcntl.h... yes
> checking sys/fcntl.h usability... yes
> checking sys/fcntl.h presence... yes
> checking for sys/fcntl.h... yes
> checking sys/resource.h usability... yes
> checking sys/resource.h presence... yes
> checking for sys/resource.h... yes
> checking sys/ioctl.h usability... yes
> checking sys/ioctl.h presence... yes
> checking for sys/ioctl.h... yes
> checking sys/mode.h usability... no
> checking sys/mode.h presence... no
> checking for sys/mode.h... no
> checking sys/filio.h usability... no
> checking sys/filio.h presence... no
> checking for sys/filio.h... no
> checking sys/fs/s5param.h usability... no
> checking sys/fs/s5param.h presence... no
> checking for sys/fs/s5param.h... no
> checking sys/filsys.h usability... no
> checking sys/filsys.h presence... no
> checking for sys/filsys.h... no
> checking sys/acl.h usability... no
> checking sys/acl.h presence... no
> checking for sys/acl.h... no
> checking acl/libacl.h usability... no
> checking acl/libacl.h presence... no
> checking for acl/libacl.h... no
> checking for sys/select.h... (cached) yes
> checking for sys/time.h... (cached) yes
> checking for utime.h... (cached) yes
> checking whether time.h and sys/time.h may both be included... yes
> checking for utime... (cached) yes
> checking for utimes... (cached) yes
> checking for sys/wait.h that is POSIX.1 compatible... yes
> checking sys/capability.h usability... no
> checking sys/capability.h presence... no
> checking for sys/capability.h... no
> checking for broken RedHat 7.2 system header files... no
> checking for broken RHEL5 sys/capability.h... no
> checking grp.h usability... yes
> checking grp.h presence... yes
> checking for grp.h... yes
> checking sys/id.h usability... no
> checking sys/id.h presence... no
> checking for sys/id.h... no
> checking compat.h usability... no
> checking compat.h presence... no
> checking for compat.h... no
> checking shadow.h usability... yes
> checking shadow.h presence... yes
> checking for shadow.h... yes
> checking sys/priv.h usability... no
> checking sys/priv.h presence... no
> checking for sys/priv.h... no
> checking pwd.h usability... yes
> checking pwd.h presence... yes
> checking for pwd.h... yes
> checking sys/security.h usability... no
> checking sys/security.h presence... no
> checking for sys/security.h... no
> checking for getpwnam_r... yes
> checking for getpwuid_r... yes
> checking for getpwent_r... yes
> checking for getpwent_r declaration... yes
> checking for prototype struct passwd *getpwent_r(struct passwd *src, char *buf, int buflen)... no
> checking for prototype struct passwd *getpwent_r(struct passwd *src, char *buf, size_t buflen)... no
> checking for getgrnam_r... yes
> checking for getgrgid_r... yes
> checking for getgrent_r... yes
> checking for getgrent_r declaration... yes
> checking for prototype struct group *getgrent_r(struct group *src, char *buf, int buflen)... no
> checking for prototype struct group *getgrent_r(struct group *src, char *buf, size_t buflen)... no
> checking for getgrouplist... yes
> checking ctype.h usability... yes
> checking ctype.h presence... yes
> checking for ctype.h... yes
> checking locale.h usability... yes
> checking locale.h presence... yes
> checking for locale.h... yes
> checking langinfo.h usability... yes
> checking langinfo.h presence... yes
> checking for langinfo.h... yes
> checking fnmatch.h usability... yes
> checking fnmatch.h presence... yes
> checking for fnmatch.h... yes
> checking sys/ipc.h usability... yes
> checking sys/ipc.h presence... yes
> checking for sys/ipc.h... yes
> checking sys/mman.h usability... yes
> checking sys/mman.h presence... yes
> checking for sys/mman.h... yes
> checking sys/shm.h usability... yes
> checking sys/shm.h presence... yes
> checking for sys/shm.h... yes
> checking termios.h usability... yes
> checking termios.h presence... yes
> checking for termios.h... yes
> checking termio.h usability... yes
> checking termio.h presence... yes
> checking for termio.h... yes
> checking sys/termio.h usability... no
> checking sys/termio.h presence... no
> checking for sys/termio.h... no
> checking for library containing dlopen... -ldl
> checking dlfcn.h usability... yes
> checking dlfcn.h presence... yes
> checking for dlfcn.h... yes
> checking for dlopen... yes
> checking for dlsym... yes
> checking for dlerror... yes
> checking for dlclose... yes
> checking for library containing shl_load... no
> checking dl.h usability... no
> checking dl.h presence... no
> checking for dl.h... no
> checking for shl_load... no
> checking for shl_unload... no
> checking for shl_findsym... no
> checking for prototype void *dlopen(const char* filename, unsigned int flags)... no
> checking for getpass... yes
> checking for getpassphrase... no
> checking whether getpass should be replaced... yes
> checking whether strptime is available and works... yes
> checking direct.h usability... no
> checking direct.h presence... no
> checking for direct.h... no
> checking windows.h usability... no
> checking windows.h presence... no
> checking for windows.h... no
> checking winsock2.h usability... no
> checking winsock2.h presence... no
> checking for winsock2.h... no
> checking ws2tcpip.h usability... no
> checking ws2tcpip.h presence... no
> checking for ws2tcpip.h... no
> checking whether mkdir supports mode... yes
> checking for timegm... yes
> checking for broken readdir... failure: readdir [
> Failed for rmdir - 39 = Directory not empty
> ]
> yes
> checking for dirfd... yes
> checking for dirfd declaration... yes
> checking for getdirentries... yes
> checking for prototype long telldir(const DIR *dir)... no
> checking for prototype int seekdir(DIR *dir, long ofs)... no
> checking for replacing readdir using getdirentries()... no
> checking for getdents... no
> checking for replacing readdir using getdents()... no
> checking a usable readdir()... no
> configure: WARNING: the provided readdir() is broken
> checking crypt.h usability... yes
> checking crypt.h presence... yes
> checking for crypt.h... yes
> checking for library containing crypt... -lcrypt
> checking for printf... yes
> checking for memset... yes
> checking for memcpy... yes
> LIBREPLACE_BROKEN_CHECKS: END
> LIBREPLACE_NETWORK_CHECKS: START
> checking sys/socket.h usability... yes
> checking sys/socket.h presence... yes
> checking for sys/socket.h... yes
> checking netinet/in.h usability... yes
> checking netinet/in.h presence... yes
> checking for netinet/in.h... yes
> checking netdb.h usability... yes
> checking netdb.h presence... yes
> checking for netdb.h... yes
> checking arpa/inet.h usability... yes
> checking arpa/inet.h presence... yes
> checking for arpa/inet.h... yes
> checking netinet/in_systm.h usability... yes
> checking netinet/in_systm.h presence... yes
> checking for netinet/in_systm.h... yes
> checking for netinet/ip.h... yes
> checking netinet/tcp.h usability... yes
> checking netinet/tcp.h presence... yes
> checking for netinet/tcp.h... yes
> checking netinet/in_ip.h usability... no
> checking netinet/in_ip.h presence... no
> checking for netinet/in_ip.h... no
> checking sys/sockio.h usability... no
> checking sys/sockio.h presence... no
> checking for sys/sockio.h... no
> checking sys/un.h usability... yes
> checking sys/un.h presence... yes
> checking for sys/un.h... yes
> checking sys/uio.h usability... yes
> checking sys/uio.h presence... yes
> checking for sys/uio.h... yes
> checking for usable net/if.h... yes
> checking for socklen_t... yes
> checking for sa_family_t... yes
> checking for struct addrinfo... yes
> checking for struct sockaddr... yes
> checking for struct sockaddr_storage... yes
> checking for struct sockaddr_in6... yes
> checking for struct sockaddr_storage.ss_family... yes
> checking for sin_len in sock... no
> checking for unix domain sockets... yes
> checking for connect... yes
> checking for gethostbyname... yes
> checking for if_nametoindex... yes
> checking for socketpair... yes
> checking for broken inet_ntoa... no
> checking for inet_ntoa... yes
> checking for inet_aton... yes
> checking for inet_ntop... yes
> checking for inet_pton... yes
> checking for getaddrinfo... yes
> checking ifaddrs.h usability... yes
> checking ifaddrs.h presence... yes
> checking for ifaddrs.h... yes
> checking for struct sockaddr.sa_len... no
> checking for getifaddrs and freeifaddrs... yes
> checking for iface getifaddrs... lo         AF=17 
> eth0       AF=17 
> eth1       AF=17 
> lo         IP=127.0.0.1 NETMASK=255.0.0.0
> eth0       IP=172.28.54.78 NETMASK=255.255.252.0
> lo         IP=::1 NETMASK=ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
> eth0       IP=fe80::2e0:81ff:feb2:c244 NETMASK=ffff:ffff:ffff:ffff::
> yes
> checking for ipv6 support... yes
> LIBREPLACE_NETWORK_CHECKS: END
> checking for syslog... yes
> checking whether to use readline... yes
> checking readline.h usability... no
> checking readline.h presence... no
> checking for readline.h... no
> checking history.h usability... no
> checking history.h presence... no
> checking for history.h... no
> checking readline/readline.h usability... yes
> checking readline/readline.h presence... yes
> checking for readline/readline.h... yes
> checking readline/history.h usability... yes
> checking readline/history.h presence... yes
> checking for readline/history.h... yes
> checking for readline.h... (cached) no
> checking for readline/readline.h... (cached) yes
> checking for tgetent in -lncurses... yes
> checking for rl_callback_handler_install in -lreadline... yes
> checking for rl_completion_matches in -lreadline... yes
> checking whether rl_event_hook is declared... yes
> checking for history_list in -lreadline... yes
> checking whether to use extern readline... yes
> checking Whether to use external heimdal libraries... no
> checking for u_char... yes
> checking for u_int32_t... yes
> checking err.h usability... yes
> checking err.h presence... yes
> checking for err.h... yes
> checking for ifaddrs.h... (cached) yes
> checking for crypt.h... (cached) yes
> checking curses.h usability... yes
> checking curses.h presence... yes
> checking for curses.h... yes
> checking errno.h usability... yes
> checking errno.h presence... yes
> checking for errno.h... yes
> checking for inttypes.h... (cached) yes
> checking for netdb.h... (cached) yes
> checking signal.h usability... yes
> checking signal.h presence... yes
> checking for signal.h... yes
> checking sys/bswap.h usability... no
> checking sys/bswap.h presence... no
> checking for sys/bswap.h... no
> checking sys/file.h usability... yes
> checking sys/file.h presence... yes
> checking for sys/file.h... yes
> checking sys/stropts.h usability... yes
> checking sys/stropts.h presence... yes
> checking for sys/stropts.h... yes
> checking sys/timeb.h usability... yes
> checking sys/timeb.h presence... yes
> checking for sys/timeb.h... yes
> checking sys/times.h usability... yes
> checking sys/times.h presence... yes
> checking for sys/times.h... yes
> checking for sys/uio.h... (cached) yes
> checking for sys/un.h... (cached) yes
> checking sys/utsname.h usability... yes
> checking sys/utsname.h presence... yes
> checking for sys/utsname.h... yes
> checking term.h usability... yes
> checking term.h presence... yes
> checking for term.h... yes
> checking termcap.h usability... yes
> checking termcap.h presence... yes
> checking for termcap.h... yes
> checking for time.h... (cached) yes
> checking timezone.h usability... no
> checking timezone.h presence... no
> checking for timezone.h... no
> checking ttyname.h usability... no
> checking ttyname.h presence... no
> checking for ttyname.h... no
> checking for netinet/in.h... (cached) yes
> checking netinet/in6.h usability... no
> checking netinet/in6.h presence... no
> checking for netinet/in6.h... no
> checking netinet6/in6.h usability... no
> checking netinet6/in6.h presence... no
> checking for netinet6/in6.h... no
> checking libintl.h usability... yes
> checking libintl.h presence... yes
> checking for libintl.h... yes
> checking for atexit... yes
> checking for cgetent... no
> checking for getprogname... no
> checking for setprogname... no
> checking for inet_aton... (cached) yes
> checking for gethostname... yes
> checking for getnameinfo... yes
> checking for iruserok... yes
> checking for putenv... yes
> checking for rcmd... yes
> checking for readv... yes
> checking for sendmsg... yes
> checking for setitimer... yes
> checking for socket... yes
> checking for strlwr... no
> checking for strncasecmp... yes
> checking for strptime... yes
> checking for strsep... yes
> checking for strsep_copy... no
> checking for strtok_r... (cached) yes
> checking for strupr... no
> checking for swab... yes
> checking for umask... yes
> checking for uname... yes
> checking for unsetenv... (cached) yes
> checking for closefrom... no
> checking for hstrerror... yes
> checking for err... yes
> checking for warn... yes
> checking for errx... yes
> checking for warnx... yes
> checking for flock... yes
> checking for getipnodebyname... no
> checking for getipnodebyaddr... no
> checking for freehostent... no
> checking for writev... yes
> checking for bswap16... no
> checking for bswap32... no
> checking for struct winsize... yes
> checking return type of signal handlers... (cached) void
> checking for h_errno... yes
> checking whether h_errno is declared... yes
> checking pty.h usability... yes
> checking pty.h presence... yes
> checking for pty.h... yes
> checking util.h usability... no
> checking util.h presence... no
> checking for util.h... no
> checking libutil.h usability... no
> checking libutil.h presence... no
> checking for libutil.h... no
> checking for openpty in -lutil... yes
> checking for gettext in -lintl... no
> checking arpa/nameser.h usability... yes
> checking arpa/nameser.h presence... yes
> checking for arpa/nameser.h... yes
> checking dns.h usability... no
> checking dns.h presence... no
> checking for dns.h... no
> checking for resolv.h... yes
> checking for res_search... yes, in -lresolv
> checking for res_nsearch... yes
> checking for res_ndestroy... no
> checking for dns_search... no
> checking for dn_expand... yes
> checking for _res... yes
> checking whether _res is declared... yes
> checking for flex... flex
> checking lex output file root... lex.yy
> checking lex library... -lfl
> checking whether yytext is a pointer... yes
> checking flex version... 2.5.35
> checking for bison... bison -y
> checking bison version... 2.4.1
> checking working LEX YACC combination... no
> checking execinfo.h usability... yes
> checking execinfo.h presence... yes
> checking for execinfo.h... yes
> checking for library containing backtrace... none required
> checking for backtrace... yes
> checking for sigprocmask... yes
> checking for sigblock... yes
> checking for sigaction... yes
> checking for setsid... yes
> configure: checking how to get filesystem space usage...
> checking sys/statfs.h usability... yes
> checking sys/statfs.h presence... yes
> checking for sys/statfs.h... yes
> checking sys/statvfs.h usability... yes
> checking sys/statvfs.h presence... yes
> checking for sys/statvfs.h... yes
> checking sys/vfs.h usability... yes
> checking sys/vfs.h presence... yes
> checking for sys/vfs.h... yes
> checking for sys/mount.h... (cached) yes
> checking statvfs64 function (SVR4)... yes
> checking that statvfs.f_frsize works... yes
> checking sys/attributes.h usability... no
> checking sys/attributes.h presence... no
> checking for sys/attributes.h... no
> checking attr/xattr.h usability... yes
> checking attr/xattr.h presence... yes
> checking for attr/xattr.h... yes
> checking sys/xattr.h usability... yes
> checking sys/xattr.h presence... yes
> checking for sys/xattr.h... yes
> checking for library containing flistxattr... none required
> checking for flistxattr... yes
> checking whether xattr interface takes additional options... no
> checking for irix specific capabilities... no
> checking if gettimeofday takes tz argument... yes
> checking popt.h usability... yes
> checking popt.h presence... yes
> checking for popt.h... yes
> checking for poptGetContext in -lpopt... yes
> checking whether to use included popt... no
> checking Whether iconv.h is present... yes
> checking for writev... (cached) yes
> checking for readv... (cached) yes
> checking zlib.h usability... yes
> checking zlib.h presence... yes
> checking for zlib.h... yes
> checking for zlibVersion in -lz... yes
> checking for zlib >= 1.2.3... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking for talloc >= 2.0.0... yes
> checking that the C compiler can use the LIBTALLOC_CFLAGS... yes
> checking for tdb >= 1.1.5... yes
> checking that the C compiler can use the LIBTDB_CFLAGS... yes
> checking for Python TDB bindings... yes
> checking for tevent = 0.9.8... yes
> checking that the C compiler can use the LIBTEVENT_CFLAGS... yes
> checking for ldb = 0.9.6... no
> Requested 'ldb = 0.9.6' but version of ldb is 0.9.10
> You may find new versions of ldb at http://ldb.samba.org/
> configure: error: Unable to find external LIBLDB
> make: *** [configure-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/04/15/samba4_4.0.0~alpha8+git20090912-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added indication that bug 577880 blocks 574770 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 13:18:05 GMT) Full text and rfc822 format available.

Removed indication that bug 577880 blocks 574770 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 27 May 2010 16:03:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from jelmer@alioth.debian.org to control@bugs.debian.org. (Sun, 20 Jun 2010 21:33:12 GMT) Full text and rfc822 format available.

Reply sent to Jelmer Vernooij <jelmer@debian.org>:
You have taken responsibility. (Thu, 30 Sep 2010 06:51:12 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 06:51:12 GMT) Full text and rfc822 format available.

Message #16 received at 577880-done@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 577880-done@bugs.debian.org
Subject: Fixed
Date: Thu, 30 Sep 2010 08:46:50 +0200
Version: 4.0.0~alpha14~bzr13684.dfsg1-1

This issue was resolved with the latest upload of Samba 4 to sid.





Merged 562389 577880. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Mon, 04 Oct 2010 16:27:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:46 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 May 2011 07:38:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:17:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.